package cn.com.poc.agent_application.convert;

import cn.com.poc.agent_application.entity.BizAgentApplicationApiFilesEntity;
import cn.com.poc.agent_application.model.BizAgentApplicationApiFilesModel;


public class BizAgentApplicationApiFilesConvert {

    public static BizAgentApplicationApiFilesEntity modelToEntity(BizAgentApplicationApiFilesModel model) {
        BizAgentApplicationApiFilesEntity entity = new BizAgentApplicationApiFilesEntity();
        entity.setId(model.getId());
        entity.setAgentId(model.getAgentId());
        entity.setConversationId(model.getConversationId());
        entity.setFileId(model.getFileId());
        entity.setFileUrl(model.getFileUrl());
        entity.setExpiredTime(model.getExpiredTime());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAgentApplicationApiFilesModel entityToModel(BizAgentApplicationApiFilesEntity entity) {
        BizAgentApplicationApiFilesModel model = new BizAgentApplicationApiFilesModel();
        model.setId(entity.getId());
        model.setAgentId(entity.getAgentId());
        model.setConversationId(entity.getConversationId());
        model.setFileId(entity.getFileId());
        model.setFileUrl(entity.getFileUrl());
        model.setExpiredTime(entity.getExpiredTime());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

}